SAP Knowledge Base Article - Public

2907999 - Error "jobApplicationQuestionResponse required" when updating an application through OData API

Symptom

  • You are getting the following error message (or similar) when trying to update an application using OData API or Integration Centre: "JobApplication: MERGE failed for the row with key: . Reason: COE0019-jobApplicationQuestionResponse required,  for templateId **,  with the index 0. The row will not be processed for subsequent entities".
  • You have already made the questionResponse field non-required for OData API, as shown in KBA 2596149.

Image/data in this KBA is from SAP internal systems, sample data, or demo systems. Any resemblance to real data is purely coincidental

Environment

SAP SuccessFactors Recruiting Management

Reproducing the Issue

  1. Make the questionResponse field non-required for OData API, as shown in KBA 2596149.
  2. Using OData API, try to update data for an application who has not answered at least one required question.
  3. Receive the above error message

Cause

The questionResponse field is an exception that the workaround shown in KBA 2596149 will not work for.

This is because the question field has another level of a required validation beyond the templates which the OData API cannot override, as shown here:

Resolution

For these required questions, the only options are to:

  1. Open the job requisition and make the questions non-required. Run the integration/API request to update the application, and then make the questions required again.
  2. Fill out the required questions for the applicant.

See Also

KBA 2596149 - "Update a Job Application via ODATA when multistage application is used - the system requires to fill any mandatory field, even those one hidden in that specific status - Recruiting Management"

Keywords

center, sfapi, update, edit, change, jobApplicationQuestionResponse, JobApplication, pre-screening, prescreening , KBA , LOD-SF-RCM-API , Webservices & APIs , Problem

Product

SAP SuccessFactors Recruiting all versions